Page MenuHomeFreeBSD

Notifying that the release documents of -CURRENT and -STABLE are not provided
ClosedPublic

Authored by minsoochoo0122_proton.me on Nov 21 2021, 6:42 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 15, 11:06 AM
Unknown Object (File)
Sat, Jun 8, 12:44 PM
Unknown Object (File)
Sun, May 19, 5:42 AM
Unknown Object (File)
May 16 2024, 10:10 PM
Unknown Object (File)
May 6 2024, 6:46 AM
Unknown Object (File)
Apr 30 2024, 10:42 AM
Unknown Object (File)
Apr 19 2024, 7:56 PM
Unknown Object (File)
Feb 19 2024, 3:55 PM

Details

Summary

There are two bug reports, 1 2. The problem was fixed by annotating the broken links, but because they have never existed, deleting the annotations and inform that the release documents for snapshots do not exist.

Test Plan

make run-local

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

minsoochoo0122_proton.me created this revision.
minsoochoo0122_proton.me edited the summary of this revision. (Show Details)
debdrup added inline comments.
website/content/en/relnotes.adoc
30–31

I'm not sure about the phrasing used here, so I've suggested something else.

-CURRENT and -STABLE aren't release software, they're development trees from which snapshots are periodically made - so by definition they can't have release documentation/notes.

While waiting for @releng to approve this, I'd like to know what you'd like to have listed as the author?
Usually it's in the form of git commit --author "Givenname Familyname <user AT example.org>".

So I'll need you to tell me those details.

My name is 'Minsoo Choo', and email is 'fel1x.mintchoco.development@gmail.com'.
And I have a question. Can I change my email in my previous commits if I change my email address for development?(I'm considering to use ProtonMail)

In D33073#778803, @fel1x.mintchoco.development_gmail.com wrote:

My name is 'Minsoo Choo', and email is 'fel1x.mintchoco.development@gmail.com'.
And I have a question. Can I change my email in my previous commits if I change my email address for development?(I'm considering to use ProtonMail)

I believe you can change your email here on Phabricator, but that won't affect the commit log for the repo of record, because that's stored on FreeBSDs servers which is separate from this Phabricator instance, and there's not meant to be any way to easily modify the commit log.

I don't mind crediting you using a ProtonMail account, just tell me which one. :)

In D33073#778803, @fel1x.mintchoco.development_gmail.com wrote:

My name is 'Minsoo Choo', and email is 'fel1x.mintchoco.development@gmail.com'.
And I have a question. Can I change my email in my previous commits if I change my email address for development?(I'm considering to use ProtonMail)

I believe you can change your email here on Phabricator, but that won't affect the commit log for the repo of record, because that's stored on FreeBSDs servers which is separate from this Phabricator instance, and there's not meant to be any way to easily modify the commit log.

I don't mind crediting you using a ProtonMail account, just tell me which one. :)

Then I will use the current one(fel1x.mintchoco.development@gmail.com)

I'll accept as docs and wait for releng, then I'll commit once it's been accepted by them.

This revision is now accepted and ready to land.Feb 27 2022, 9:04 PM

After you commit this, can you close these related bugzillas? 1 2

In D33073#779221, @fel1x.mintchoco.development_gmail.com wrote:

After you commit this, can you close these related bugzillas? 1 2

Thanks for the reminder, otherwise I probably would have forgotten about them.
Once I mention them in the commit message, bugzilla should automatically close them.

I'll get this committed and pushed later today. :)